GNU logs - #49558, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49558: fill paragraph in texinfo-mode fails with @
Resent-From: lisa-asket@HIDDEN
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 14 Jul 2021 03:58:01 +0000
Resent-Message-ID: <handler.49558.B.16262350541503 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 49558
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 49558 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.16262350541503
          (code B ref -1); Wed, 14 Jul 2021 03:58:01 +0000
Received: (at submit) by debbugs.gnu.org; 14 Jul 2021 03:57:34 +0000
Received: from localhost ([127.0.0.1]:42562 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3W1e-0000OB-6j
	for submit <at> debbugs.gnu.org; Tue, 13 Jul 2021 23:57:34 -0400
Received: from lists.gnu.org ([209.51.188.17]:59804)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lisa-asket@HIDDEN>) id 1m3W1c-0000O2-Fm
 for submit <at> debbugs.gnu.org; Tue, 13 Jul 2021 23:57:32 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:37454)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <lisa-asket@HIDDEN>)
 id 1m3W1b-000815-D3
 for bug-gnu-emacs@HIDDEN; Tue, 13 Jul 2021 23:57:32 -0400
Received: from ip-16.mailobj.net ([213.182.54.16]:44872 helo=msg-6.mailo.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <lisa-asket@HIDDEN>)
 id 1m3W1Z-0008Ta-EJ
 for bug-gnu-emacs@HIDDEN; Tue, 13 Jul 2021 23:57:31 -0400
Received: by www-7.mailo.com with http webmail; Wed, 14 Jul 2021
 05:57:23 +0200 (CEST)
X-EA-Auth: Wk5DL8as4kID2WdgUlVY2+E329yd6LaLr5LthoXvftQdCupZ5UgtzqPNt9hVOQMYRx1KPSR13NTeAwB7v3aVEw==
From: lisa-asket@HIDDEN
Date: Wed, 14 Jul 2021 05:57:23 +0200 (CEST)
X-Priority: 3
MIME-Version: 1.0
X-Mailer: COMS/EA21.01/r20210601
Message-ID: <ea-mime-60ee60a3-677f-f4d2126@HIDDEN>
Content-Type: multipart/alternative;
 boundary="----=_NextPart_001_60ee60a3_677f_190d8c50"
Received-SPF: pass client-ip=213.182.54.16; envelope-from=lisa-asket@HIDDEN;
 helo=msg-6.mailo.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, HTML_MESSAGE=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

------=_NextPart_001_60ee60a3_677f_190d8c50
Content-Type: text/plain;
 charset="UTF-8"
Content-Transfer-Encoding: quoted-printable



I am using `M-q` to fill my paragraphs.=C2=A0 I have noticed that in texin=
fo-mode,

doing `M-q` on a paragraph starting with `@` does not refill the paragraph=
.



This occurs in instances such as



@noindent Everyone is permitted to copy and distribute verbatim
copies of this license document, but changing it is not allowed.






------=_NextPart_001_60ee60a3_677f_190d8c50
Content-Type: text/html;
 charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div><br></div><div>I am using `M-q` to fill my paragraphs.=C2=A0 I have no=
ticed that in texinfo-mode,</div><div>doing `M-q` on a paragraph starting w=
ith `@` does not refill the paragraph.</div><div><br></div><div>This occurs=
 in instances such as</div><div><br></div><div>@noindent Everyone is permit=
ted to copy and distribute verbatim<br>copies of this license document, but=
 changing it is not allowed.<br></div><br><div><br></div>

------=_NextPart_001_60ee60a3_677f_190d8c50--






Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: lisa-asket@HIDDEN
Subject: bug#49558: Acknowledgement (fill paragraph in texinfo-mode fails
 with @)
Message-ID: <handler.49558.B.16262350541503.ack <at> debbugs.gnu.org>
References: <ea-mime-60ee60a3-677f-f4d2126@HIDDEN>
X-Gnu-PR-Message: ack 49558
X-Gnu-PR-Package: emacs
Reply-To: 49558 <at> debbugs.gnu.org
Date: Wed, 14 Jul 2021 03:58:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 49558 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
49558: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D49558
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49558: fill paragraph in texinfo-mode fails with @
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 14 Jul 2021 07:48:01 +0000
Resent-Message-ID: <handler.49558.B49558.162624884722918 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49558
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: lisa-asket@HIDDEN
Cc: 49558 <at> debbugs.gnu.org
Received: via spool by 49558-submit <at> debbugs.gnu.org id=B49558.162624884722918
          (code B ref 49558); Wed, 14 Jul 2021 07:48:01 +0000
Received: (at 49558) by debbugs.gnu.org; 14 Jul 2021 07:47:27 +0000
Received: from localhost ([127.0.0.1]:42757 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3Zc7-0005xa-0w
	for submit <at> debbugs.gnu.org; Wed, 14 Jul 2021 03:47:27 -0400
Received: from quimby.gnus.org ([95.216.78.240]:40206)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1m3Zc2-0005xF-DO
 for 49558 <at> debbugs.gnu.org; Wed, 14 Jul 2021 03:47:25 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=7YTXlHhsDr7EM+aDRT+yhI58Z9gyc4dEJ5kM4nfbSUs=; b=lEDIUDEdawxfRSRz5F/fzDFBVZ
 Z8IVGxemKnW5x6ucqXp36Dl4URk5JTYHCNJymhD5UZwNLyNwqS7R/5wS9Pg5itsdIsmSkL5fCgP0V
 5ey91ivHVxlbWu+CuR6rFRfQHNUFezkd5AGN8pZ6XvDrLhAC7N8dMvpvwKvRwqccuB1Q=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1m3Zbs-00018U-62; Wed, 14 Jul 2021 09:47:14 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <ea-mime-60ee60a3-677f-f4d2126@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAGFBMVEWYko+IgX2CfHhj
 XFlEPTsQCgsuKCb///+EZiqRAAAAAWJLR0QHFmGI6wAAAAd0SU1FB+UHDgcoBmnTlqgAAAGbSURB
 VDjLrdLBcuMgDABQZdvp2Yn7A4n3A9qI+twZhM6daeDcGYP+/xMqwLhx3OxpdYHkjRDIgt2ALoow
 x6irc85bxB47OCCmyRpDRGOkkY3CKcO+x+RXYYcj7DRjC/jaAcCu/3sDE56OO4D9adhknAsc+k0G
 HvsO/uBtjaigNQ5DhUCI3OAMHfRzhsUO+3EGLa8Zg6uAaLhBf85QMiJJ5NQAcamxKo4D5hpuC4hL
 8Wswd8DQL5AWGNBcQchACgS4gQuRNQrmB6ILrgKtwRpxuWs5wNACEkcqIAUkQyg3msbpTfesOVGB
 Zgju4gpIDmCSBmm+VeQMelw7ao4LSQVeHjEv9SiRtPzPC6SgYG1p5xGegvgPnbSHXAt8etEZyqMH
 j/r7S9cHSe+PkDtm9IO/HvbTkxYekFlsRGAvEvRYvePLmw/PpXL0HrTJLCy510Yrf1K5bPJANfL0
 uDotRTyU+6WyXwX4O/Ev0GfpA8L/OOqqt/lzeCm7exlyB8JtjZ/ZW0NIjfOHmmNdIuQmcrPYdvro
 mkGx9phtE/kGW3RYtTjs+U0AAAAldEVYdGRhdGU6Y3JlYXRlADIwMjEtMDctMTRUMDc6NDA6MDYr
 MDA6MDCsZ05dAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIxLTA3LTE0VDA3OjQwOjA2KzAwOjAw3Tr2
 4QAAAABJRU5ErkJggg==
X-Now-Playing: David Bowie's _The Width of a Circle (2)_: "All The Madmen
 (Single Edit) [2020 Mix]"
Date: Wed, 14 Jul 2021 09:47:11 +0200
In-Reply-To: <ea-mime-60ee60a3-677f-f4d2126@HIDDEN>
 (lisa-asket@HIDDEN's message of "Wed, 14 Jul 2021 05:57:23 +0200
 (CEST)")
Message-ID: <87h7gxmj5s.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  lisa-asket@HIDDEN writes: > I am using `M-q` to fill my
 paragraphs. I have noticed that in texinfo-mode, > doing `M-q` on a paragraph
 starting with `@` does not refill the paragraph. > > This occurs in instances
 such as > > @n [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

lisa-asket@HIDDEN writes:

> I am using `M-q` to fill my paragraphs.  I have noticed that in texinfo-m=
ode,
> doing `M-q` on a paragraph starting with `@` does not refill the paragrap=
h.
>
> This occurs in instances such as
>
> @noindent Everyone is permitted to copy and distribute verbatim
> copies of this license document, but changing it is not allowed.

This is because texinfo-mode regards almost any line that starts with a
@ as a paragraph separator, so forward-paragraph etc doesn't work
properly on those lines.

The following patch fixes the problem, but I'm not sure this is the
correct thing, but the manual says:

--
Lines that start a new paragraph and are
contained in it must match only =E2=80=98paragraph-start=E2=80=99, not
=E2=80=98paragraph-separate=E2=80=99.=20
--

So I think it is?  But this code has been basically like this for
decades...  anybody got any comments about why it is like it is today?

diff --git a/lisp/textmodes/texinfo.el b/lisp/textmodes/texinfo.el
index 11d60e1eb0..311b2055ed 100644
--- a/lisp/textmodes/texinfo.el
+++ b/lisp/textmodes/texinfo.el
@@ -411,9 +411,6 @@ texinfo-mode
 		      "\\)\\>"))
   (setq-local require-final-newline mode-require-final-newline)
   (setq-local indent-tabs-mode nil)
-  (setq-local paragraph-separate
-	      (concat "@[a-zA-Z]*[ \n]\\|"
-		      paragraph-separate))
   (setq-local paragraph-start (concat "@[a-zA-Z]*[ \n]\\|"
 				      paragraph-start))
   (setq-local sentence-end-base "\\(@\\(end\\)?dots{}\\|[.?!]\\)[]\"'=E2=
=80=9D)}]*")


--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 14 Jul 2021 07:47:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 14 03:47:32 2021
Received: from localhost ([127.0.0.1]:42760 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3ZcC-0005xt-8v
	for submit <at> debbugs.gnu.org; Wed, 14 Jul 2021 03:47:32 -0400
Received: from quimby.gnus.org ([95.216.78.240]:40220)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1m3ZcA-0005xS-Ak
 for control <at> debbugs.gnu.org; Wed, 14 Jul 2021 03:47:30 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=AGujra4mtO6etw/Kf9NRV+ca7+XBQ9VbGzBqYehcT48=; b=SPPHODDsZNhW1vUiYLND7uk3ak
 HpHzgSfGfYL5H/3ZvjaYalrAxuPAjCaS5GquLoPYounIGvIOxlRg9zmXGBkH+/2OARXdFRQ2fCGhM
 nkhQ6ePD9XCS9MXpk5WsydyvKtVVALC/VUxRuXJNeV3iFS3SaaRkidCkGdf69gkMy3dw=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1m3Zc2-00018c-Ar
 for control <at> debbugs.gnu.org; Wed, 14 Jul 2021 09:47:24 +0200
Date: Wed, 14 Jul 2021 09:47:21 +0200
Message-Id: <87fswhmj5i.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #49558
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  tags 49558 + moreinfo quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

tags 49558 + moreinfo
quit





Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 14 Jul 2021 07:47:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 14 03:47:35 2021
Received: from localhost ([127.0.0.1]:42763 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3ZcF-0005y8-E1
	for submit <at> debbugs.gnu.org; Wed, 14 Jul 2021 03:47:35 -0400
Received: from quimby.gnus.org ([95.216.78.240]:40232)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1m3ZcE-0005xi-4R
 for control <at> debbugs.gnu.org; Wed, 14 Jul 2021 03:47:34 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=c+f0I4nwNmRR2h3oxCvVYFDvc6dQxXIPxQaKBW9uHPk=; b=dcnOc8UgHdfSJOVGOOlzRtajIr
 IZL6vRzTBaILomNNSDSpHyXAHFjSYubhQffplX2xt/IGDfAUqGLYQPPIdQv8cXJS8x+QB6akFzuyn
 iv9pGo3MjHJpg+z5i5kfnjNmZEDL6bNX7xrNoTha578ZGbov7Eu2oo5OgJjRp3XLhE3c=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1m3Zc6-00018i-Gg
 for control <at> debbugs.gnu.org; Wed, 14 Jul 2021 09:47:28 +0200
Date: Wed, 14 Jul 2021 09:47:26 +0200
Message-Id: <87eec1mj5d.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #49558
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  tags 49558 + patch quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

tags 49558 + patch
quit





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49558: fill paragraph in texinfo-mode fails with @
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 14 Jul 2021 12:02:02 +0000
Resent-Message-ID: <handler.49558.B49558.162626409118437 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49558
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch moreinfo
To: Lars Ingebrigtsen <larsi@HIDDEN>, Stefan Monnier <monnier@HIDDEN>
Cc: lisa-asket@HIDDEN, 49558 <at> debbugs.gnu.org
Received: via spool by 49558-submit <at> debbugs.gnu.org id=B49558.162626409118437
          (code B ref 49558); Wed, 14 Jul 2021 12:02:02 +0000
Received: (at 49558) by debbugs.gnu.org; 14 Jul 2021 12:01:31 +0000
Received: from localhost ([127.0.0.1]:43260 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3dZy-0004nJ-Kf
	for submit <at> debbugs.gnu.org; Wed, 14 Jul 2021 08:01:30 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40538)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1m3dZw-0004n6-Qt
 for 49558 <at> debbugs.gnu.org; Wed, 14 Jul 2021 08:01:30 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37336)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1m3dZq-0000do-EK; Wed, 14 Jul 2021 08:01:22 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2908
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1m3dZp-0000MZ-Q1; Wed, 14 Jul 2021 08:01:22 -0400
Date: Wed, 14 Jul 2021 15:01:18 +0300
Message-Id: <83im1d85pt.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-Reply-To: <87h7gxmj5s.fsf@HIDDEN> (message from Lars Ingebrigtsen on Wed, 
 14 Jul 2021 09:47:11 +0200)
References: <ea-mime-60ee60a3-677f-f4d2126@HIDDEN>
 <87h7gxmj5s.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Wed, 14 Jul 2021 09:47:11 +0200
> Cc: 49558 <at> debbugs.gnu.org
> 
> lisa-asket@HIDDEN writes:
> 
> > I am using `M-q` to fill my paragraphs.  I have noticed that in texinfo-mode,
> > doing `M-q` on a paragraph starting with `@` does not refill the paragraph.
> >
> > This occurs in instances such as
> >
> > @noindent Everyone is permitted to copy and distribute verbatim
> > copies of this license document, but changing it is not allowed.
> 
> This is because texinfo-mode regards almost any line that starts with a
> @ as a paragraph separator, so forward-paragraph etc doesn't work
> properly on those lines.

I actually think this is a "feature" in Texinfo mode.  In Texinfo, we
have constructs that start with @ at BOL which we don't _want_ to
refill, and we _do_ want them to be treated as a separate paragraph.
A few examples:

@node Foo Bar Baz Quux Very Long Node Name

@subsection This is a very long subsection name

@cindex a very long index entry that could wrap

@defun my-func with many different arguments that could wrap

@end multitable

And I could probably come up with a few more.  So @noindent is more an
exception that the rule, and there actually is no reason to have any
text after it on the same line, you could leave it on a line by itself
without losing anything.

> The following patch fixes the problem, but I'm not sure this is the
> correct thing, but the manual says:
> 
> --
> Lines that start a new paragraph and are
> contained in it must match only ‘paragraph-start’, not
> ‘paragraph-separate’. 
> --

I never took this seriously.  E.g., even our default values of these
variables don't seem to heed this rule.

Stefan, any comments?

> So I think it is?  But this code has been basically like this for
> decades...  anybody got any comments about why it is like it is today?

See above.  I'd prefer not to change these variables in Texinfo, as it
could cause more trouble than it fixes.  If we want the likes of
@noindent to be exempt from this treatment of lines that begin with @,
we could perhaps introduce a fill-paragraph-function specific for
Texinfo, and in that function treat ^@noindent (and perhaps a few
more directives) specially.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49558: fill paragraph in texinfo-mode fails with @
Resent-From: Stefan Monnier <monnier@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 14 Jul 2021 13:00:01 +0000
Resent-Message-ID: <handler.49558.B49558.162626758224669 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49558
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch moreinfo
To: Eli Zaretskii <eliz@HIDDEN>
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, lisa-asket@HIDDEN, 49558 <at> debbugs.gnu.org
Received: via spool by 49558-submit <at> debbugs.gnu.org id=B49558.162626758224669
          (code B ref 49558); Wed, 14 Jul 2021 13:00:01 +0000
Received: (at 49558) by debbugs.gnu.org; 14 Jul 2021 12:59:42 +0000
Received: from localhost ([127.0.0.1]:43306 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3eUH-0006Po-OS
	for submit <at> debbugs.gnu.org; Wed, 14 Jul 2021 08:59:41 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:55448)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1m3eUG-0006PY-0B
 for 49558 <at> debbugs.gnu.org; Wed, 14 Jul 2021 08:59:40 -0400
Received: from pmg1.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 6B45C1001F4;
 Wed, 14 Jul 2021 08:59:34 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 3A2571001F2;
 Wed, 14 Jul 2021 08:59:33 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1626267573;
 bh=6ZcIUNmU+4MWHYtD1+8x4mcgEUaELQbCuGAthXf5rAo=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=G14eHmiaUNL/US5SsYJUw9lzu8cHC5XGgAsQRxkf32TqXT++AgkjXKD9zsTfSFAPK
 UGY9Za4qIPYMi3iQS0V4YvBgoHLSEoeT+8/z/l44zRWb2yaijNS9hyzbazn6EXvxX2
 myDcpSi+6vEbyCvxY161G+lk3Fc3du9nOhZMnveUipDcH24BHHUsgbUY0L6/WjL4Tz
 ozGcLF5BbvHCqdYT33jVr/I0Dq9Xwa/b1TMIDK/8qEmyZ3KWcWM0JkvXVV9T4NG0CL
 QtoKAz2wDTd5LHR+XYewat4r0DArqj0rLaFIEfY1ZN1TI72ZcRZissohgRtOdHh81q
 8Xn2VlL6USMJQ==
Received: from alfajor (unknown [216.154.29.138])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id CCE0012041A;
 Wed, 14 Jul 2021 08:59:32 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
Message-ID: <jwvbl75vyzh.fsf-monnier+emacs@HIDDEN>
References: <ea-mime-60ee60a3-677f-f4d2126@HIDDEN>
 <87h7gxmj5s.fsf@HIDDEN> <83im1d85pt.fsf@HIDDEN>
Date: Wed, 14 Jul 2021 08:59:31 -0400
In-Reply-To: <83im1d85pt.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 14 Jul
 2021 15:01:18 +0300")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.099 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

>> --
>> Lines that start a new paragraph and are
>> contained in it must match only =E2=80=98paragraph-start=E2=80=99, not
>> =E2=80=98paragraph-separate=E2=80=99.=20
>> --
>
> I never took this seriously.  E.g., even our default values of these
> variables don't seem to heed this rule.
>
> Stefan, any comments?

I do remember some fuzzily-obeyed rule about relationship between these
two vars, but this one seems to be non-fuzzy: if a line matches
`paragraph-separate` then its content is not considered as being part of
a refillable paragraph, IOW its content will be left alone, never
cutting it shorter or adding to it text from the following line.

In which sense do our default values not heed this rule?


        Stefan





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49558: fill paragraph in texinfo-mode fails with @
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 14 Jul 2021 13:01:02 +0000
Resent-Message-ID: <handler.49558.B49558.162626766024952 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49558
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch moreinfo
To: Eli Zaretskii <eliz@HIDDEN>
Cc: Stefan Monnier <monnier@HIDDEN>, 49558 <at> debbugs.gnu.org, lisa-asket@HIDDEN
Received: via spool by 49558-submit <at> debbugs.gnu.org id=B49558.162626766024952
          (code B ref 49558); Wed, 14 Jul 2021 13:01:02 +0000
Received: (at 49558) by debbugs.gnu.org; 14 Jul 2021 13:01:00 +0000
Received: from localhost ([127.0.0.1]:43322 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3eVY-0006UO-1U
	for submit <at> debbugs.gnu.org; Wed, 14 Jul 2021 09:01:00 -0400
Received: from quimby.gnus.org ([95.216.78.240]:43066)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1m3eVX-0006UB-3D
 for 49558 <at> debbugs.gnu.org; Wed, 14 Jul 2021 09:00:59 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=tedSwBweBhMbsV0D9nfD/wK3EAA+9B2XZe+VOTSNBEw=; b=sLwl8xYSMoZL7iXYFRfI/sX42b
 2K4IFrShHnRPOagOJnPtWXdW284yHjjCMUPl9DT6BRE7bB3SHcQaBx5RL45BlYhiHKmeF8vcwFjQ3
 6bfzQMpKIsSIyrS75NsgTpIAfr6SvGldX/P5lAxNZmScW8v5Gnf5vgtLOGES8lxPhVoQ=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1m3eVM-0003mX-P7; Wed, 14 Jul 2021 15:00:51 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <ea-mime-60ee60a3-677f-f4d2126@HIDDEN>
 <87h7gxmj5s.fsf@HIDDEN> <83im1d85pt.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEXJTiNeNh3QnUJ2
 iIb///8ZJKJIAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+UHDgw7AZoNrXgAAAGSSURBVDjLfZOBlYQg
 DEQhNkCwgRAbULb/3m4mwK635zueT4FPZgLBlErW9KeVlFQLP08gl5yC5njQ1XhhegFF7w7KDcyI
 Uj5SOqXying0n1LpCTwsZ7pCIK+vlpL8A/QRlABYcC5x861bmI+czpvxObIqAYyv7Wsfn9FvoPfR
 bJkeJEKpTXdOis8lpI5B2nWnr7thCitzVukd3370K0DDwQoz0sqI7LUdEzjPsHirjpncqu6Y8N6q
 KX3c6xERWAuwvdQtdg63F1ZsAJTSJgESgDs7/CIQhgE0QEMIvRCwAKVcq2ZGGHaFnO4g1yJQQmoE
 49YEcNVL9awqAeLUCODSAbCFAdIHCCMu6AGYJVke2AJBmgBJBkDbnFIm7BtWfoPoi0cFfQ4I0uzH
 bZ8hBy7UOYFRSlVC9iIYFguUiG77AuIoKivLcwN4R8j4jwGQ+R3w4gh/WwjaNA+gARhQaRMgioWZ
 ceEAmNkEpgPoAKw8Dgrlrr8BQ2wUNUB9Axy4RUalDjA9uBmJTHVKtbyASRi3EJYfSpRQ5vKf36gA
 AAAldEVYdGRhdGU6Y3JlYXRlADIwMjEtMDctMTRUMTI6NTk6MDErMDA6MDDUe9a8AAAAJXRFWHRk
 YXRlOm1vZGlmeQAyMDIxLTA3LTE0VDEyOjU5OjAxKzAwOjAwpSZuAAAAAABJRU5ErkJggg==
X-Now-Playing: Coldcut's _What's That Noise?_: "Not Paid Enough"
Date: Wed, 14 Jul 2021 15:00:48 +0200
In-Reply-To: <83im1d85pt.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 14 Jul
 2021 15:01:18 +0300")
Message-ID: <87y2a9jbi7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > I actually think this
 is a "feature" in Texinfo mode. In Texinfo, we > have constructs that start
 with @ at BOL which we don't _want_ to > refill, and we _do_ want them to
 be treated as a separate p [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> I actually think this is a "feature" in Texinfo mode.  In Texinfo, we
> have constructs that start with @ at BOL which we don't _want_ to
> refill, and we _do_ want them to be treated as a separate paragraph.
> A few examples:
>
> @node Foo Bar Baz Quux Very Long Node Name
>
> @subsection This is a very long subsection name
>
> @cindex a very long index entry that could wrap
>
> @defun my-func with many different arguments that could wrap
>
> @end multitable

The problem is that all of that is currently a single paragraph -- and I
don't think that's something we want?  (Try saying
`M-: (forward-paragraph)' at the start.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49558: fill paragraph in texinfo-mode fails with @
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 14 Jul 2021 13:13:01 +0000
Resent-Message-ID: <handler.49558.B49558.162626832426382 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49558
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch moreinfo
To: Stefan Monnier <monnier@HIDDEN>
Cc: larsi@HIDDEN, lisa-asket@HIDDEN, 49558 <at> debbugs.gnu.org
Received: via spool by 49558-submit <at> debbugs.gnu.org id=B49558.162626832426382
          (code B ref 49558); Wed, 14 Jul 2021 13:13:01 +0000
Received: (at 49558) by debbugs.gnu.org; 14 Jul 2021 13:12:04 +0000
Received: from localhost ([127.0.0.1]:43360 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3egG-0006rS-0c
	for submit <at> debbugs.gnu.org; Wed, 14 Jul 2021 09:12:04 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53500)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1m3egC-0006qv-W5
 for 49558 <at> debbugs.gnu.org; Wed, 14 Jul 2021 09:12:03 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39266)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1m3eg5-0008Nw-UG; Wed, 14 Jul 2021 09:11:53 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3292
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1m3eg5-0005Ru-Hy; Wed, 14 Jul 2021 09:11:53 -0400
Date: Wed, 14 Jul 2021 16:11:50 +0300
Message-Id: <837dht82g9.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-Reply-To: <jwvbl75vyzh.fsf-monnier+emacs@HIDDEN> (message from Stefan
 Monnier on Wed, 14 Jul 2021 08:59:31 -0400)
References: <ea-mime-60ee60a3-677f-f4d2126@HIDDEN>
 <87h7gxmj5s.fsf@HIDDEN> <83im1d85pt.fsf@HIDDEN>
 <jwvbl75vyzh.fsf-monnier+emacs@HIDDEN>
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: Lars Ingebrigtsen <larsi@HIDDEN>,  lisa-asket@HIDDEN,
>   49558 <at> debbugs.gnu.org
> Date: Wed, 14 Jul 2021 08:59:31 -0400
> 
> In which sense do our default values not heed this rule?

The same line could match both paragraph-start and paragraph-separate.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49558: fill paragraph in texinfo-mode fails with @
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 14 Jul 2021 13:14:02 +0000
Resent-Message-ID: <handler.49558.B49558.162626842926593 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49558
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch moreinfo
To: Lars Ingebrigtsen <larsi@HIDDEN>
Cc: monnier@HIDDEN, 49558 <at> debbugs.gnu.org, lisa-asket@HIDDEN
Received: via spool by 49558-submit <at> debbugs.gnu.org id=B49558.162626842926593
          (code B ref 49558); Wed, 14 Jul 2021 13:14:02 +0000
Received: (at 49558) by debbugs.gnu.org; 14 Jul 2021 13:13:49 +0000
Received: from localhost ([127.0.0.1]:43365 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3ehx-0006uq-Bg
	for submit <at> debbugs.gnu.org; Wed, 14 Jul 2021 09:13:49 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53982)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1m3ehv-0006uZ-6m
 for 49558 <at> debbugs.gnu.org; Wed, 14 Jul 2021 09:13:48 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39364)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1m3ehq-00018v-0M; Wed, 14 Jul 2021 09:13:42 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3405
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1m3ehp-0005sE-B8; Wed, 14 Jul 2021 09:13:41 -0400
Date: Wed, 14 Jul 2021 16:13:40 +0300
Message-Id: <835yxd82d7.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-Reply-To: <87y2a9jbi7.fsf@HIDDEN> (message from Lars Ingebrigtsen on Wed, 
 14 Jul 2021 15:00:48 +0200)
References: <ea-mime-60ee60a3-677f-f4d2126@HIDDEN>
 <87h7gxmj5s.fsf@HIDDEN> <83im1d85pt.fsf@HIDDEN> <87y2a9jbi7.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Stefan Monnier <monnier@HIDDEN>,  lisa-asket@HIDDEN,
>   49558 <at> debbugs.gnu.org
> Date: Wed, 14 Jul 2021 15:00:48 +0200
> 
> > @node Foo Bar Baz Quux Very Long Node Name
> >
> > @subsection This is a very long subsection name
> >
> > @cindex a very long index entry that could wrap
> >
> > @defun my-func with many different arguments that could wrap
> >
> > @end multitable
> 
> The problem is that all of that is currently a single paragraph -- and I
> don't think that's something we want?  (Try saying
> `M-: (forward-paragraph)' at the start.)

What exactly do we not want in the result of forward-paragraph in
these cases?  I'm probably missing something.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49558: fill paragraph in texinfo-mode fails with @
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 14 Jul 2021 13:16:01 +0000
Resent-Message-ID: <handler.49558.B49558.162626852128106 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49558
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch moreinfo
To: Eli Zaretskii <eliz@HIDDEN>
Cc: monnier@HIDDEN, 49558 <at> debbugs.gnu.org, lisa-asket@HIDDEN
Received: via spool by 49558-submit <at> debbugs.gnu.org id=B49558.162626852128106
          (code B ref 49558); Wed, 14 Jul 2021 13:16:01 +0000
Received: (at 49558) by debbugs.gnu.org; 14 Jul 2021 13:15:21 +0000
Received: from localhost ([127.0.0.1]:43369 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3ejO-0007G5-OO
	for submit <at> debbugs.gnu.org; Wed, 14 Jul 2021 09:15:21 -0400
Received: from quimby.gnus.org ([95.216.78.240]:43292)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1m3ejK-000750-9Q
 for 49558 <at> debbugs.gnu.org; Wed, 14 Jul 2021 09:15:17 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=nfq7pgISwMVZ3mWOkOAO9fb3bsYSaAXTTtlhms+kt/8=; b=dMYitmywyuvQcBECEWOh0La03O
 gmWKtMmbQqsCjQDHuWqb36BG6NM2t4oVuQrkXfHk81b1PkFzeFsQ+0HKNawdK8tj+UFklAOUN5M0v
 iV2nzacUG2wf0TMGnAbA1obIQDqjxB1ErRz9wfonYB6HdjjqoL/TaqIxTyy+Ql15ZmVs=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1m3ejA-0003th-Ny; Wed, 14 Jul 2021 15:15:07 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <ea-mime-60ee60a3-677f-f4d2126@HIDDEN>
 <87h7gxmj5s.fsf@HIDDEN> <83im1d85pt.fsf@HIDDEN>
 <87y2a9jbi7.fsf@HIDDEN> <835yxd82d7.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEXJTiNeNh3QnUJ2
 iIb///8ZJKJIAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+UHDgw7AZoNrXgAAAGSSURBVDjLfZOBlYQg
 DEQhNkCwgRAbULb/3m4mwK635zueT4FPZgLBlErW9KeVlFQLP08gl5yC5njQ1XhhegFF7w7KDcyI
 Uj5SOqXying0n1LpCTwsZ7pCIK+vlpL8A/QRlABYcC5x861bmI+czpvxObIqAYyv7Wsfn9FvoPfR
 bJkeJEKpTXdOis8lpI5B2nWnr7thCitzVukd3370K0DDwQoz0sqI7LUdEzjPsHirjpncqu6Y8N6q
 KX3c6xERWAuwvdQtdg63F1ZsAJTSJgESgDs7/CIQhgE0QEMIvRCwAKVcq2ZGGHaFnO4g1yJQQmoE
 49YEcNVL9awqAeLUCODSAbCFAdIHCCMu6AGYJVke2AJBmgBJBkDbnFIm7BtWfoPoi0cFfQ4I0uzH
 bZ8hBy7UOYFRSlVC9iIYFguUiG77AuIoKivLcwN4R8j4jwGQ+R3w4gh/WwjaNA+gARhQaRMgioWZ
 ceEAmNkEpgPoAKw8Dgrlrr8BQ2wUNUB9Axy4RUalDjA9uBmJTHVKtbyASRi3EJYfSpRQ5vKf36gA
 AAAldEVYdGRhdGU6Y3JlYXRlADIwMjEtMDctMTRUMTI6NTk6MDErMDA6MDDUe9a8AAAAJXRFWHRk
 YXRlOm1vZGlmeQAyMDIxLTA3LTE0VDEyOjU5OjAxKzAwOjAwpSZuAAAAAABJRU5ErkJggg==
X-Now-Playing: Coldcut's _What's That Noise?_: "What's That Noise?"
Date: Wed, 14 Jul 2021 15:15:04 +0200
In-Reply-To: <835yxd82d7.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 14 Jul
 2021 16:13:40 +0300")
Message-ID: <87k0ltjauf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: >> > @node Foo Bar Baz
 Quux Very Long Node Name >> > >> > @subsection This is a very long subsection
 name >> > >> > @cindex a very long index entry that could wrap >> > >> >
 @defun my-func with many d [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

>> > @node Foo Bar Baz Quux Very Long Node Name
>> >
>> > @subsection This is a very long subsection name
>> >
>> > @cindex a very long index entry that could wrap
>> >
>> > @defun my-func with many different arguments that could wrap
>> >
>> > @end multitable
>> 
>> The problem is that all of that is currently a single paragraph -- and I
>> don't think that's something we want?  (Try saying
>> `M-: (forward-paragraph)' at the start.)
>
> What exactly do we not want in the result of forward-paragraph in
> these cases?  I'm probably missing something.

I think the example text you pasted should be five paragraphs, not one.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49558: fill paragraph in texinfo-mode fails with @
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 14 Jul 2021 13:23:01 +0000
Resent-Message-ID: <handler.49558.B49558.16262689643699 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49558
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch moreinfo
To: Lars Ingebrigtsen <larsi@HIDDEN>
Cc: monnier@HIDDEN, 49558 <at> debbugs.gnu.org, lisa-asket@HIDDEN
Received: via spool by 49558-submit <at> debbugs.gnu.org id=B49558.16262689643699
          (code B ref 49558); Wed, 14 Jul 2021 13:23:01 +0000
Received: (at 49558) by debbugs.gnu.org; 14 Jul 2021 13:22:44 +0000
Received: from localhost ([127.0.0.1]:43411 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3eqa-0000xb-5z
	for submit <at> debbugs.gnu.org; Wed, 14 Jul 2021 09:22:44 -0400
Received: from eggs.gnu.org ([209.51.188.92]:56774)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1m3eqX-0000xL-Ey
 for 49558 <at> debbugs.gnu.org; Wed, 14 Jul 2021 09:22:42 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39638)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1m3eqQ-0007cc-I2; Wed, 14 Jul 2021 09:22:34 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3946
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1m3eqQ-0006qc-2U; Wed, 14 Jul 2021 09:22:34 -0400
Date: Wed, 14 Jul 2021 16:22:31 +0300
Message-Id: <831r8181yg.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-Reply-To: <87k0ltjauf.fsf@HIDDEN> (message from Lars Ingebrigtsen on Wed, 
 14 Jul 2021 15:15:04 +0200)
References: <ea-mime-60ee60a3-677f-f4d2126@HIDDEN>
 <87h7gxmj5s.fsf@HIDDEN> <83im1d85pt.fsf@HIDDEN>
 <87y2a9jbi7.fsf@HIDDEN> <835yxd82d7.fsf@HIDDEN> <87k0ltjauf.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: monnier@HIDDEN,  lisa-asket@HIDDEN,  49558 <at> debbugs.gnu.org
> Date: Wed, 14 Jul 2021 15:15:04 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> > @node Foo Bar Baz Quux Very Long Node Name
> >> >
> >> > @subsection This is a very long subsection name
> >> >
> >> > @cindex a very long index entry that could wrap
> >> >
> >> > @defun my-func with many different arguments that could wrap
> >> >
> >> > @end multitable
> >> 
> >> The problem is that all of that is currently a single paragraph -- and I
> >> don't think that's something we want?  (Try saying
> >> `M-: (forward-paragraph)' at the start.)
> >
> > What exactly do we not want in the result of forward-paragraph in
> > these cases?  I'm probably missing something.
> 
> I think the example text you pasted should be five paragraphs, not one.

That's because you think about it as plain text.  It isn't.
Basically, lines that start with @foo are directives, not text.

It could be somewhat surprising, because it otherwise looks very much
like plain text, but without those definitions of paragraph-start and
paragraph-separate, things would be much worse.  E.g., copy this to a
text-mode buffer, then type M-q:

@itemize @bullet
@item
If the text consists of a special glyph, the glyph can specify a
particular face.  @xref{Glyphs}.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49558: fill paragraph in texinfo-mode fails with @
Resent-From: Stefan Monnier <monnier@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 14 Jul 2021 13:50:01 +0000
Resent-Message-ID: <handler.49558.B49558.162627057714928 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49558
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch moreinfo
To: Eli Zaretskii <eliz@HIDDEN>
Cc: larsi@HIDDEN, lisa-asket@HIDDEN, 49558 <at> debbugs.gnu.org
Received: via spool by 49558-submit <at> debbugs.gnu.org id=B49558.162627057714928
          (code B ref 49558); Wed, 14 Jul 2021 13:50:01 +0000
Received: (at 49558) by debbugs.gnu.org; 14 Jul 2021 13:49:37 +0000
Received: from localhost ([127.0.0.1]:43450 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3fGb-0003si-IM
	for submit <at> debbugs.gnu.org; Wed, 14 Jul 2021 09:49:37 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:22464)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1m3fGZ-0003sT-Kl
 for 49558 <at> debbugs.gnu.org; Wed, 14 Jul 2021 09:49:35 -0400
Received: from pmg1.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 6C3131001F4;
 Wed, 14 Jul 2021 09:49:29 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 56BDA10001F;
 Wed, 14 Jul 2021 09:49:28 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1626270568;
 bh=nN+5vCAuB84Wzu+Ar8nAxy+ExCJg2yFDbDwWBzhWeR4=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=ieKumQ9aucTo7xetxziy98znChqHYm2UeQw9rKf87Al43s9+FRFSlacnHlqHpat59
 97zuUZzY6Id0ZEGo6e/IBnDK2Q2HMQnRJA6ywsSBgFkjgder++/TkcdcdhqG4UVCtO
 mO4Vhic0UaO4L9ODcOE74SbtXU13/H3104hMdnhrEQYCKJ6N7dFgLYEOJeflNfZP2x
 yig9HtRXRLuSexeS6xsv8djmCunX9kjrk3KSWdWd35vHP/pt2Vgp4LUIsjbXiY7ALm
 24ZWUnSp/uF95zadzlySq5WrF94LNR8rjFUv5fP8UyU9fqowuY0orNwsRWLUCMbgEv
 15Fen5/PcyxQw==
Received: from alfajor (unknown [216.154.29.138])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id E8589120153;
 Wed, 14 Jul 2021 09:49:27 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
Message-ID: <jwv8s29uhvk.fsf-monnier+emacs@HIDDEN>
References: <ea-mime-60ee60a3-677f-f4d2126@HIDDEN>
 <87h7gxmj5s.fsf@HIDDEN> <83im1d85pt.fsf@HIDDEN>
 <jwvbl75vyzh.fsf-monnier+emacs@HIDDEN> <837dht82g9.fsf@HIDDEN>
Date: Wed, 14 Jul 2021 09:49:27 -0400
In-Reply-To: <837dht82g9.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 14 Jul
 2021 16:11:50 +0300")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.099 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

>> In which sense do our default values not heed this rule?
> The same line could match both paragraph-start and paragraph-separate.

But that rule doesn't say they can't, it just implies that if a line
matches both then it will be treated as a paragraph separator:

    Lines that start a new paragraph and are contained in it must
    match only =E2=80=98paragraph-start=E2=80=99, not =E2=80=98paragraph-se=
parate=E2=80=99.=20


-- Stefan





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49558: fill paragraph in texinfo-mode fails with @
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 14 Jul 2021 13:54:01 +0000
Resent-Message-ID: <handler.49558.B49558.162627083415338 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49558
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch moreinfo
To: Eli Zaretskii <eliz@HIDDEN>
Cc: monnier@HIDDEN, 49558 <at> debbugs.gnu.org, lisa-asket@HIDDEN
Received: via spool by 49558-submit <at> debbugs.gnu.org id=B49558.162627083415338
          (code B ref 49558); Wed, 14 Jul 2021 13:54:01 +0000
Received: (at 49558) by debbugs.gnu.org; 14 Jul 2021 13:53:54 +0000
Received: from localhost ([127.0.0.1]:43458 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3fKk-0003zK-Bp
	for submit <at> debbugs.gnu.org; Wed, 14 Jul 2021 09:53:54 -0400
Received: from quimby.gnus.org ([95.216.78.240]:43658)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1m3fKi-0003z7-Kk
 for 49558 <at> debbugs.gnu.org; Wed, 14 Jul 2021 09:53:53 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=f81PkZcd2SGBCfIFV77JQaTwdl0vZsGQPbJzcC/N1yY=; b=mUmOy6JzZ8uYIM7AUEf78A4Nc3
 alwO6Bif40zHDHUeHzEgRWA+EEUC3SenA03ykea1Tn7c6aPHH13ahusztDbGgqvTdXDB7VEhWZRcd
 n/87mCtUU4My9n2vbmpDJ+jx8Uq/qV1y1nwi9j8kTZOurEQrmH8ZZm+YA9vzIWUDzG/k=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1m3fKY-0004CU-V4; Wed, 14 Jul 2021 15:53:45 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <ea-mime-60ee60a3-677f-f4d2126@HIDDEN>
 <87h7gxmj5s.fsf@HIDDEN> <83im1d85pt.fsf@HIDDEN>
 <87y2a9jbi7.fsf@HIDDEN> <835yxd82d7.fsf@HIDDEN>
 <87k0ltjauf.fsf@HIDDEN> <831r8181yg.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAG1BMVEXk49z4+PLS0sqt
 raZ/hm4rLR9OVytVWUn///+1xwLuAAAAAWJLR0QIht6VegAAAAd0SU1FB+UHDg0RAfSkC2cAAAGX
 SURBVDjLlZRLkoIwEIYRL6BzAitY5V5g2JtoDqCdXGA67iGB608HIiSMLqarCFR/6cffJmab/Vvb
 Zf8FXxk97I35iBGcF18Zg+Nj9k+fu5Cqxi74C4fnGDx1SPatA5hSXY1rQ0CPlwg41FOVk0ZsI4Co
 aGNZUijEoFAGjO4BBoVK3WOAoMEYCgQw9zRCGTKkN64BEgK/4Z50pWAE/t0mwLxA2u6VnAEYiAXW
 Y2H/KJOM5CO49qRh7JdAMqseSRn5aV2PBD0ASHUQoKGoHwLmBfYLAPsOeM2gRv0r4L1KLTUWECwB
 DHyjflG0xMCRMo9o7C8d+3BKfK4n+kxBeThXtN8SejgwyYE7KRxuGrSSzuj4iBaAehDOSuvG2jNg
 NWghbkJIHH+nBRw9cFYIfLAZ5D5XDUMPanBQzmCXjdflOrXLzyvACkntal6wNWCsGux84yaQz/es
 eH3sPci3VlZCtFXXNBfBpW1jIPlFWNlwK6ToAsi2ZVWJ8sx5U5WdECWfwNdhqcGWGhuKIGMs/wM+
 /MkUh7cg/wWZ2eYgU4514AAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMS0wNy0xNFQxMzoxNzowMSsw
 MDowMKf9TAgAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjEtMDctMTRUMTM6MTc6MDErMDA6MDDWoPS0
 AAAAAElFTkSuQmCC
X-Now-Playing: My Cat Is An Alien's _Mort Aux Vaches_: "Blue Abstractions"
Date: Wed, 14 Jul 2021 15:53:42 +0200
In-Reply-To: <831r8181yg.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 14 Jul
 2021 16:22:31 +0300")
Message-ID: <877dhtj921.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > That's because you
 think about it as plain text. It isn't. > Basically, lines that start with
 @foo are directives, not text. > > It could be somewhat surprising, because
 it otherwise looks very much [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> That's because you think about it as plain text.  It isn't.
> Basically, lines that start with @foo are directives, not text.
>
> It could be somewhat surprising, because it otherwise looks very much
> like plain text, but without those definitions of paragraph-start and
> paragraph-separate, things would be much worse.  E.g., copy this to a
> text-mode buffer, then type M-q:
>
> @itemize @bullet
> @item
> If the text consists of a special glyph, the glyph can specify a
> particular face.  @xref{Glyphs}.

Filling is one thing, but paragraphs are another.  texinfo-mode relies
on the paragraph definition being...  eccentric... to avoid filling
lines that start with "@word ".

I think the paragraph definition should be more traditional, and
`fill-paragraph-function' should be adjusted to do the right thing on
the @directives that we don't want to have filled.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49558: fill paragraph in texinfo-mode fails with @
Resent-From: Stefan Monnier <monnier@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 14 Jul 2021 13:56:02 +0000
Resent-Message-ID: <handler.49558.B49558.162627095517627 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49558
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch moreinfo
To: Lars Ingebrigtsen <larsi@HIDDEN>
Cc: Eli Zaretskii <eliz@HIDDEN>, lisa-asket@HIDDEN, 49558 <at> debbugs.gnu.org
Received: via spool by 49558-submit <at> debbugs.gnu.org id=B49558.162627095517627
          (code B ref 49558); Wed, 14 Jul 2021 13:56:02 +0000
Received: (at 49558) by debbugs.gnu.org; 14 Jul 2021 13:55:55 +0000
Received: from localhost ([127.0.0.1]:45577 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3fMg-0004aF-O6
	for submit <at> debbugs.gnu.org; Wed, 14 Jul 2021 09:55:54 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:10015)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1m3fMf-0004a5-9R
 for 49558 <at> debbugs.gnu.org; Wed, 14 Jul 2021 09:55:53 -0400
Received: from pmg2.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id A1C2B80937;
 Wed, 14 Jul 2021 09:55:47 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id A013880161;
 Wed, 14 Jul 2021 09:55:46 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1626270946;
 bh=wpWmEXzZ0GbzlLe/DK7E2cWxFdJiI1pa5f3X/e9OskE=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=A55pPFRfX1bRGAiSJa2GmJRr/U/aXnsbRqKyTssxQJhzR0mTVfKs3tPdNsysU0OYT
 bRZP+rs+SHoojOJsCiCvfCJJlMjqu9FXbPthDdM8PCWvLAjwj5KR//sKYfwy4n+yDu
 vd7XR++HwMBott8ul55UbqtBe0e9vC+nGZLPVSFwiQY8weGUtZ13d49N2pFvD4ppDc
 OqugvZIa0I7stCwp1g8imG84zZW9UmmHpQyU+NgOfKEXo5QSyBVvE1GQ5gywBZY9xN
 azz8CuhkOv4A6Ii2aWMRrIptXeWpAtKP73D9sC4c5cDz9IbtggP9UiemrSpGRETT8l
 M/NMV7g/zwl4Q==
Received: from alfajor (unknown [216.154.29.138])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 5DEC31205A2;
 Wed, 14 Jul 2021 09:55:46 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
Message-ID: <jwv35shuhq5.fsf-monnier+emacs@HIDDEN>
References: <ea-mime-60ee60a3-677f-f4d2126@HIDDEN>
 <87h7gxmj5s.fsf@HIDDEN> <83im1d85pt.fsf@HIDDEN>
 <87y2a9jbi7.fsf@HIDDEN>
Date: Wed, 14 Jul 2021 09:55:45 -0400
In-Reply-To: <87y2a9jbi7.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 14 Jul 2021 15:00:48 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.097 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> The problem is that all of that is currently a single paragraph -- and I
> don't think that's something we want?  (Try saying
> `M-: (forward-paragraph)' at the start.)

I think the problem here is that our filling code has no notion of
a line being both "a paragraph separator" and "a paragraph" at the
same time.

I agree that it can make sense to treat `@subsection BLABLA` as
a paragraph for navigation purposes, tho one that cannot be filled
because it has to stay as a single line.

There's also something to be said for treating "a sequence paragraph
separators" as a paragraph for navigation purposes.


        Stefan





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49558: fill paragraph in texinfo-mode fails with @
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 14 Jul 2021 14:05:02 +0000
Resent-Message-ID: <handler.49558.B49558.162627144618580 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49558
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch moreinfo
To: Stefan Monnier <monnier@HIDDEN>
Cc: larsi@HIDDEN, lisa-asket@HIDDEN, 49558 <at> debbugs.gnu.org
Received: via spool by 49558-submit <at> debbugs.gnu.org id=B49558.162627144618580
          (code B ref 49558); Wed, 14 Jul 2021 14:05:02 +0000
Received: (at 49558) by debbugs.gnu.org; 14 Jul 2021 14:04:06 +0000
Received: from localhost ([127.0.0.1]:45582 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3fUc-0004pc-KP
	for submit <at> debbugs.gnu.org; Wed, 14 Jul 2021 10:04:06 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38264)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1m3fUa-0004p7-AQ
 for 49558 <at> debbugs.gnu.org; Wed, 14 Jul 2021 10:04:04 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41088)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1m3fUS-00032p-PW; Wed, 14 Jul 2021 10:03:56 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2588
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1m3fUS-0004JA-DF; Wed, 14 Jul 2021 10:03:56 -0400
Date: Wed, 14 Jul 2021 17:03:53 +0300
Message-Id: <83zgup6lh2.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-Reply-To: <jwv8s29uhvk.fsf-monnier+emacs@HIDDEN> (message from Stefan
 Monnier on Wed, 14 Jul 2021 09:49:27 -0400)
References: <ea-mime-60ee60a3-677f-f4d2126@HIDDEN>
 <87h7gxmj5s.fsf@HIDDEN> <83im1d85pt.fsf@HIDDEN>
 <jwvbl75vyzh.fsf-monnier+emacs@HIDDEN> <837dht82g9.fsf@HIDDEN>
 <jwv8s29uhvk.fsf-monnier+emacs@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: larsi@HIDDEN,  lisa-asket@HIDDEN,  49558 <at> debbugs.gnu.org
> Date: Wed, 14 Jul 2021 09:49:27 -0400
> 
> >> In which sense do our default values not heed this rule?
> > The same line could match both paragraph-start and paragraph-separate.
> 
> But that rule doesn't say they can't, it just implies that if a line
> matches both then it will be treated as a paragraph separator:
> 
>     Lines that start a new paragraph and are contained in it must
>     match only ‘paragraph-start’, not ‘paragraph-separate’. 

That's not my reading of that text, so I guess it should be reworded
(to avoid the implied double negation).




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49558: fill paragraph in texinfo-mode fails with @
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 14 Jul 2021 14:08:01 +0000
Resent-Message-ID: <handler.49558.B49558.162627165318989 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49558
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch moreinfo
To: Lars Ingebrigtsen <larsi@HIDDEN>
Cc: monnier@HIDDEN, 49558 <at> debbugs.gnu.org, lisa-asket@HIDDEN
Received: via spool by 49558-submit <at> debbugs.gnu.org id=B49558.162627165318989
          (code B ref 49558); Wed, 14 Jul 2021 14:08:01 +0000
Received: (at 49558) by debbugs.gnu.org; 14 Jul 2021 14:07:33 +0000
Received: from localhost ([127.0.0.1]:45587 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3fXx-0004wD-4A
	for submit <at> debbugs.gnu.org; Wed, 14 Jul 2021 10:07:33 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39060)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1m3fXv-0004vy-5B
 for 49558 <at> debbugs.gnu.org; Wed, 14 Jul 2021 10:07:31 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41164)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1m3fXq-0005Q0-0I; Wed, 14 Jul 2021 10:07:26 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2812
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1m3fXp-00037m-Ky; Wed, 14 Jul 2021 10:07:25 -0400
Date: Wed, 14 Jul 2021 17:07:25 +0300
Message-Id: <83y2a96lb6.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-Reply-To: <877dhtj921.fsf@HIDDEN> (message from Lars Ingebrigtsen on Wed, 
 14 Jul 2021 15:53:42 +0200)
References: <ea-mime-60ee60a3-677f-f4d2126@HIDDEN>
 <87h7gxmj5s.fsf@HIDDEN> <83im1d85pt.fsf@HIDDEN>
 <87y2a9jbi7.fsf@HIDDEN> <835yxd82d7.fsf@HIDDEN>
 <87k0ltjauf.fsf@HIDDEN> <831r8181yg.fsf@HIDDEN> <877dhtj921.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: monnier@HIDDEN,  lisa-asket@HIDDEN,  49558 <at> debbugs.gnu.org
> Date: Wed, 14 Jul 2021 15:53:42 +0200
> 
> texinfo-mode relies on the paragraph definition being...
> eccentric... to avoid filling lines that start with "@word ".

Yes, that is true.

> I think the paragraph definition should be more traditional, and
> `fill-paragraph-function' should be adjusted to do the right thing on
> the @directives that we don't want to have filled.

Could be.

But even if we do so, I'm not sure that

  @cindex relative remapping, faces
  @cindex base remapping, faces
    The following functions implement a higher-level interface to
  @code{face-remapping-alist}.  Most Lisp code should use these
  functions instead of setting @code{face-remapping-alist} directly, to
  avoid trampling on remappings applied elsewhere.  These functions are
  intended for buffer-local remappings, so they all make
  @code{face-remapping-alist} buffer-local as a side-effect.  They manage
  @code{face-remapping-alist} entries of the form

should be a single paragraph, and likewise this:

  @defun face-remap-add-relative face &rest specs
  This function adds the face spec in @var{specs} as relative
  remappings for face @var{face} in the current buffer.  The remaining
  arguments, @var{specs}, should form either a list of face names, or a
  property list of attribute/value pairs.





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49558: fill paragraph in texinfo-mode fails with @
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 14 Jul 2021 14:30:02 +0000
Resent-Message-ID: <handler.49558.B49558.162627299521334 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49558
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch moreinfo
To: Eli Zaretskii <eliz@HIDDEN>
Cc: monnier@HIDDEN, 49558 <at> debbugs.gnu.org, lisa-asket@HIDDEN
Received: via spool by 49558-submit <at> debbugs.gnu.org id=B49558.162627299521334
          (code B ref 49558); Wed, 14 Jul 2021 14:30:02 +0000
Received: (at 49558) by debbugs.gnu.org; 14 Jul 2021 14:29:55 +0000
Received: from localhost ([127.0.0.1]:45610 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3fta-0005Y2-LZ
	for submit <at> debbugs.gnu.org; Wed, 14 Jul 2021 10:29:54 -0400
Received: from quimby.gnus.org ([95.216.78.240]:44092)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1m3ftZ-0005Xl-7L
 for 49558 <at> debbugs.gnu.org; Wed, 14 Jul 2021 10:29:53 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=K5ygQr+z5sogFIlKRDwvd6vxk3g5yeN8LE1MNvwUiz0=; b=ROfD3fd+EW5xUoBJgTowMrY1a1
 zLTiEkLxWpzzNNXyoge07nRPkfxLG+kqg9c0sr1ecczm92vTHfjUzc0MYXHiPAHPlYyTJHXq/jawH
 BMhO1Zia2+lG0DWNP2VXJsOh1ChRIRelPGoABX7u3U4xNtuM+6qph2hO/8/mqUT9A8u0=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1m3ftQ-0004Tt-1J; Wed, 14 Jul 2021 16:29:46 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <ea-mime-60ee60a3-677f-f4d2126@HIDDEN>
 <87h7gxmj5s.fsf@HIDDEN> <83im1d85pt.fsf@HIDDEN>
 <87y2a9jbi7.fsf@HIDDEN> <835yxd82d7.fsf@HIDDEN>
 <87k0ltjauf.fsf@HIDDEN> <831r8181yg.fsf@HIDDEN>
 <877dhtj921.fsf@HIDDEN> <83y2a96lb6.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEUNCA1fJiiwTTao
 oaWnFRj////jzfNNAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+UHDg4YNQaU+sIAAAGqSURBVDjLdZOB
 kYQgDEXDugUQpQAEChDTwOHSf02XAArs3DGz48rz/wSSAPy3FCLqdYeNnzNx+6pPBy+3n/oLLAKU
 s6wbrU6PG/ljoUg0ghdR3Pi3EBWgnlCajsXb44XWrryfc04NRCCwq9IWI0CWVa0iLYRUli6CnH9K
 cOeUA+dWt3FSpoA57fJV/geYGuEByrRUngCDgYC3/MHJIGTbnNK0f3FAyXXNV/qKKO/mukLIXyny
 91osQ8+1CjSsbudn/gLINxAy17LcbakLllSQKxjyTrCJgPRzCCynDH6XPdUBm6A8LqKDt1RP6sek
 Cpz4YwepXmummOZjmAZcb5TiHdp+Ijt0Yhek5GNXDADT0KaiSBXw9tCLio+ONzDGTsA8CjNI+NB3
 7HkSJjA2Dnu9bzA1FFfubwCYWgMmmNdbYzsh4hRecZimkUa6zl3foF2luF1SLKqoDPStYE8eiZ0d
 +cXzCBrTCcficbxOAfSuRc+sDXmTOf24/KGDUGv5mktsgt7IEXgBkY57/rhaUCbbUwW9L6CMKnx8
 AfGeLAQJfXJwURD1WpfhPukXYUCDQOw/chYAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjEtMDctMTRU
 MTQ6MjQ6NTMrMDA6MDB3JIgfAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIxLTA3LTE0VDE0OjI0OjUz
 KzAwOjAwBnkwowAAAABJRU5ErkJggg==
X-Now-Playing: Fad Gadget's _Incontinent_: "Innocent Bystander"
Date: Wed, 14 Jul 2021 16:29:43 +0200
In-Reply-To: <83y2a96lb6.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 14 Jul
 2021 17:07:25 +0300")
Message-ID: <87v95dhstk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > But even if we do so, 
 I'm not sure that > > @cindex relative remapping,
 faces > @cindex base remapping, 
 faces > The following functions implement a higher-level interface to >
 @code{face-remapping-a [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> But even if we do so, I'm not sure that
>
>   @cindex relative remapping, faces
>   @cindex base remapping, faces
>     The following functions implement a higher-level interface to
>   @code{face-remapping-alist}.  Most Lisp code should use these
>   functions instead of setting @code{face-remapping-alist} directly, to
>   avoid trampling on remappings applied elsewhere.  These functions are
>   intended for buffer-local remappings, so they all make
>   @code{face-remapping-alist} buffer-local as a side-effect.  They manage
>   @code{face-remapping-alist} entries of the form
>
> should be a single paragraph,

But it is one paragraph today.  With my proposed patch, it becomes two
paragraphs (since @cindex is the start of a paragraph).

> and likewise this:
>
>   @defun face-remap-add-relative face &rest specs
>   This function adds the face spec in @var{specs} as relative
>   remappings for face @var{face} in the current buffer.  The remaining
>   arguments, @var{specs}, should form either a list of face names, or a
>   property list of attribute/value pairs.

There would be no difference here -- that's one paragraph both before
and after the patch.

My preference would be to have the first example be three paragraphs,
and the second example two paragraphs, but I have no idea how to make
that happen with any paragraph-start/separate settings.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 13 Aug 2021 12:40:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 13 08:40:06 2021
Received: from localhost ([127.0.0.1]:40788 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mEWTi-00009q-9H
	for submit <at> debbugs.gnu.org; Fri, 13 Aug 2021 08:40:06 -0400
Received: from quimby.gnus.org ([95.216.78.240]:51126)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mEWTc-00009L-K1
 for control <at> debbugs.gnu.org; Fri, 13 Aug 2021 08:40:00 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=4oK2GqnHeLIF/lOK2t82oYberdA4UBAyP05rZWChMz0=; b=kQmD/3z+zEcebS9o5COJmBpeBw
 02KEn8JmG/BCFrLnts840uyazOF1Xlo2YpPUtd8j0xldLoYIvX1zI/HkDo77HOnd58L0MNfqdJ3gi
 hvlN1Kr4f1jJYZ7QGT7C6iG250C4Cpm3eChbb8QCN7t1DGztW8s4VgBfPxxCYFkN3DQc=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1mEWTU-0003pI-Op
 for control <at> debbugs.gnu.org; Fri, 13 Aug 2021 14:39:50 +0200
Date: Fri, 13 Aug 2021 14:39:48 +0200
Message-Id: <87pmuhcycr.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #49558
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  tags 49558 - moreinfo quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

tags 49558 - moreinfo
quit





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49558: fill paragraph in texinfo-mode fails with @
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 07 Nov 2021 22:59:01 +0000
Resent-Message-ID: <handler.49558.B49558.163632593616593 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49558
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch
To: Eli Zaretskii <eliz@HIDDEN>
Cc: monnier@HIDDEN, 49558 <at> debbugs.gnu.org, lisa-asket@HIDDEN
Received: via spool by 49558-submit <at> debbugs.gnu.org id=B49558.163632593616593
          (code B ref 49558); Sun, 07 Nov 2021 22:59:01 +0000
Received: (at 49558) by debbugs.gnu.org; 7 Nov 2021 22:58:56 +0000
Received: from localhost ([127.0.0.1]:55193 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjr7o-0004JZ-82
	for submit <at> debbugs.gnu.org; Sun, 07 Nov 2021 17:58:56 -0500
Received: from quimby.gnus.org ([95.216.78.240]:39772)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mjr7l-0004JH-Vr
 for 49558 <at> debbugs.gnu.org; Sun, 07 Nov 2021 17:58:55 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=vKbqSdv97txSnXPSduRzZ9K8XTqG+6j6Vi1g0GQvgqg=; b=Q+JBEIs5lsRuDxtNLx/0duP5Xn
 08Qtw1C13ywjxPwPNu5q0X0qVAS1KIEAIip4Xp/iAxvrR+bbPKcz1tjNCAPI3Bq9pJ0Rnwqs6O1rA
 s6AvBZyTpHxUnfneWKEzRAbJ7ROA6oi3NbB4lO6tM58mFos8zGxLRkY0CD5Zi91I1GqU=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mjr7a-0004YS-8B; Sun, 07 Nov 2021 23:58:45 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <ea-mime-60ee60a3-677f-f4d2126@HIDDEN>
 <87h7gxmj5s.fsf@HIDDEN> <83im1d85pt.fsf@HIDDEN>
 <87y2a9jbi7.fsf@HIDDEN> <835yxd82d7.fsf@HIDDEN>
 <87k0ltjauf.fsf@HIDDEN> <831r8181yg.fsf@HIDDEN>
 <877dhtj921.fsf@HIDDEN> <83y2a96lb6.fsf@HIDDEN>
X-Now-Playing: Leslie Winer's _When I Hit You, You'll Feel It_: "Dunderhead"
Date: Sun, 07 Nov 2021 23:58:39 +0100
In-Reply-To: <83y2a96lb6.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 14 Jul
 2021 17:07:25 +0300")
Message-ID: <87ee7refog.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: >> texinfo-mode relies
 on the paragraph definition being... >> eccentric... to avoid filling lines
 that start with "@word ". > > Yes, that is true. > >> I think the paragraph
 definition should be more [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

>> texinfo-mode relies on the paragraph definition being...
>> eccentric... to avoid filling lines that start with "@word ".
>
> Yes, that is true.
>
>> I think the paragraph definition should be more traditional, and
>> `fill-paragraph-function' should be adjusted to do the right thing on
>> the @directives that we don't want to have filled.
>
> Could be.

I've now done this, and tested with all of the examples in this file
(and also in a couple of real-life texinfo files), and this approach
seems to work (and solves the original reported problem).  (I also made
'C-x n d' narrow to the current node, because that's something I've
missed for years, but it's unrelated.)

Let me know if I broke anything.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 7 Nov 2021 22:59:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 07 17:59:00 2021
Received: from localhost ([127.0.0.1]:55196 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjr7s-0004Jp-F0
	for submit <at> debbugs.gnu.org; Sun, 07 Nov 2021 17:59:00 -0500
Received: from quimby.gnus.org ([95.216.78.240]:39786)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mjr7r-0004JP-6y
 for control <at> debbugs.gnu.org; Sun, 07 Nov 2021 17:58:59 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=kb+Vip3zE+LHW7kQUL9f8Z4Z+WhoQzGOchPZhFGyWKs=; b=f/imXZk7wL89fnwX4Hg4koN4cf
 ZE8G/V/5QrcEXdcuxADiL4pG0+ZJJAUOlHlcxkEQJTnzSZipuy1NeJezzj0WdpjRZztcRLRS2ShDI
 iJZinUzd4afbDM7cHQDTqs/a5HYbxhsEJtF3RYaYZoiOvJaSFgHeBiFHoNgGbKS9Ef0s=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1mjr7j-0004Yb-9C
 for control <at> debbugs.gnu.org; Sun, 07 Nov 2021 23:58:53 +0100
Date: Sun, 07 Nov 2021 23:58:49 +0100
Message-Id: <87cznbefo6.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #49558
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  close 49558 29.1 quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

close 49558 29.1
quit






Last modified: Sun, 7 Nov 2021 23:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.